"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = require("react");

  _react = function _react() {
    return data;
  };

  return data;
}

var useMergedState = function useMergedState(option) {
  var _ref = option || {},
      defaultValue = _ref.defaultValue,
      value = _ref.value;

  var _useState = (0, _react().useState)(function () {
    if (value !== undefined) {
      return value;
    }

    if (defaultValue !== undefined) {
      return typeof defaultValue === 'function' ? defaultValue() : defaultValue;
    }

    return undefined;
  }),
      _useState2 = (0, _slicedToArray2().default)(_useState, 2),
      innerValue = _useState2[0],
      setInnerValue = _useState2[1];

  var mergedValue = value !== undefined ? value : innerValue;

  function triggerChange(newValue) {
    setInnerValue(newValue);
  }

  return [mergedValue, triggerChange];
};

var _default = useMergedState;
exports.default = _default;