"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.usePageVisibility = usePageVisibility;

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = require("react");

  _react = function _react() {
    return data;
  };

  return data;
}

var _utils = require("../utils");

var _useEventListener = _interopRequireDefault(require("./use-event-listener"));

/* eslint-disable @typescript-eslint/naming-convention */
function usePageVisibility() {
  var _useState = (0, _react().useState)('visible'),
      _useState2 = (0, _slicedToArray2().default)(_useState, 2),
      visibility = _useState2[0],
      _setVisibility = _useState2[1];

  var setVisibility = function setVisibility() {
    if (_utils.inBrowser) {
      _setVisibility(document.hidden ? 'hidden' : 'visible');
    }
  };

  (0, _react().useEffect)(function () {
    setVisibility();
  }, []);
  (0, _useEventListener.default)('visibilitychange', setVisibility, {
    depends: [visibility]
  });
  return visibility;
}

var _default = usePageVisibility;
exports.default = _default;