"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useSsrCompat;

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = require("react");

  _react = function _react() {
    return data;
  };

  return data;
}

function useSsrCompat() {
  var _useState = (0, _react().useState)(false),
      _useState2 = (0, _slicedToArray2().default)(_useState, 2),
      mounted = _useState2[0],
      setMounted = _useState2[1];

  var _useState3 = (0, _react().useState)(mounted),
      _useState4 = (0, _slicedToArray2().default)(_useState3, 2),
      rendered = _useState4[0],
      setRendered = _useState4[1];

  (0, _react().useEffect)(function () {
    setMounted(true);
  }, []);
  (0, _react().useEffect)(function () {
    if (mounted) {
      setRendered(true);
    }
  }, [mounted]);
  return [(0, _react().useCallback)(function (render) {
    return mounted ? render() : null;
  }, [mounted]), rendered];
}