"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Typography = void 0;

function _extends2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

  _extends2 = function _extends2() {
    return data;
  };

  return data;
}

function _react() {
  var data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

var _Typography = _interopRequireDefault(require("./Typography"));

var Text = function Text(props) {
  return /*#__PURE__*/_react().default.createElement(_Typography.default, (0, _extends2().default)({
    renderType: "text"
  }, props));
};

var Title = function Title(props) {
  return /*#__PURE__*/_react().default.createElement(_Typography.default, (0, _extends2().default)({
    renderType: "title"
  }, props));
};

var Link = function Link(props) {
  return /*#__PURE__*/_react().default.createElement(_Typography.default, (0, _extends2().default)({
    renderType: "link"
  }, props));
};

var TypographyNamespace = Object.assign(_Typography.default, {
  Text: Text,
  Title: Title,
  Link: Link
});
exports.Typography = TypographyNamespace;
var _default = TypographyNamespace;
exports.default = _default;