"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderToBody = renderToBody;

function _reactDom() {
  var data = _interopRequireDefault(require("react-dom"));

  _reactDom = function _reactDom() {
    return data;
  };

  return data;
}

function renderToBody(element) {
  var container = document.createElement('div');
  document.body.appendChild(container);

  function unmount() {
    var unmountResult = _reactDom().default.unmountComponentAtNode(container);

    if (unmountResult && container.parentNode) {
      container.parentNode.removeChild(container);
    }
  }

  _reactDom().default.render(element, container);

  return unmount;
}