"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useHeight = exports.default = void 0;

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = require("react");

  _react = function _react() {
    return data;
  };

  return data;
}

var _useRect = require("./use-rect");

var useHeight = function useHeight(element) {
  var _useState = (0, _react().useState)(0),
      _useState2 = (0, _slicedToArray2().default)(_useState, 2),
      height = _useState2[0],
      setHeight = _useState2[1];

  (0, _react().useEffect)(function () {
    if (element.current) {
      setHeight((0, _useRect.getRect)(element.current).height);
    }
  }, [element.current]);
  return height;
};

exports.useHeight = useHeight;
var _default = useHeight;
exports.default = _default;