"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mountComponent = mountComponent;

function _defineProperty2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

  _defineProperty2 = function _defineProperty2() {
    return data;
  };

  return data;
}

function _objectWithoutProperties2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

  _objectWithoutProperties2 = function _objectWithoutProperties2() {
    return data;
  };

  return data;
}

function _react() {
  var data = require("react");

  _react = function _react() {
    return data;
  };

  return data;
}

function _reactDom() {
  var data = _interopRequireDefault(require("react-dom"));

  _reactDom = function _reactDom() {
    return data;
  };

  return data;
}

var _excluded = ["open", "toggle", "clear"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2().default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function mountComponent(RootComponent, callback) {
  var root = document.createElement('div');

  var Container = function Container() {
    var ref = (0, _react().useRef)(null);
    (0, _react().useEffect)(function () {
      var _ref$current = ref.current,
          open = _ref$current.open,
          toggle = _ref$current.toggle,
          clear = _ref$current.clear,
          rest = (0, _objectWithoutProperties2().default)(_ref$current, _excluded);
      callback(_objectSpread({
        open: open,
        toggle: toggle,
        clear: clear,
        unmount: function unmount() {
          _reactDom().default.unmountComponentAtNode(root);

          if (root.parentNode) {
            root.parentNode.removeChild(root);
          }
        }
      }, rest));
    }, [ref.current]);
    return /*#__PURE__*/(0, _react().createElement)(RootComponent, {
      ref: ref
    });
  };

  var app = /*#__PURE__*/(0, _react().createElement)(Container);
  document.body.appendChild(root);

  _reactDom().default.render(app, root);
}